### Enumeration

# Pango CoverageLevel

since: 1.0

#### Declaration

    enum Pango.CoverageLevel

#### Description [src]

`PangoCoverageLevel` is used to indicate how well a font can represent a particular Unicode character for a particular script.

Since 1.44, only `PANGO_COVERAGE_NONE` and `PANGO_COVERAGE_EXACT` will be returned.

Available since: 1.0

#### Members

`PANGO_COVERAGE_NONE`

  The character is not representable with the font.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`PANGO_COVERAGE_FALLBACK`

  The character is represented in a way that may be comprehensible but is not the correct graphical form. For instance, a Hangul character represented as a a sequence of Jamos, or a Latin transliteration of a Cyrillic word.

  - Value: `1`
  - Nickname: `fallback`
  - Available since: 1.0
`PANGO_COVERAGE_APPROXIMATE`

  The character is represented as basically the correct graphical form, but with a stylistic variant inappropriate for the current script.

  - Value: `2`
  - Nickname: `approximate`
  - Available since: 1.0
`PANGO_COVERAGE_EXACT`

  The character is represented as the correct graphical form.

  - Value: `3`
  - Nickname: `exact`
  - Available since: 1.0